/*****************

WITH SIDEBAR

+------------------+
|icon | title      |
+-----+------------+
|     |            |
|side |            |
|bar  |  content   |
|     |            |
|     |            |
|     |            |
+------------------+

%html
  %head
  %body
    %header
      #header-icon
      #header-text
      #header-status
    %middle
      %sidebar.sidebar-width
      %main
        #content

CENTER WITHOUT SIDEBAR

+------------------+
|icon | title      |
+-----+------------+
|                  |
|                  |
|     content      |
|                  |
|                  |
|                  |
+------------------+

%html
  %head
  %body
    %header
      #header-icon
      #header-text
      #header-status
    %middle
      %main
        #content.center

*******************/

body {
    min-height: 100vh;
    display: flex;
    flex-direction: column;
  }

  header {
    display: flex;
    flex-direction: row;
  }

  sidebar {
    padding-top: 1rem;
  }

  middle {
    display: flex;
    flex-direction: row;
    flex-grow: 1;
  }

  main {
    display: flex;
    flex-direction: column;
    flex-grow: 1;
  }

  main > #content {
    background: var(--content-bg);
    padding: $grid-gutter-width;
    flex-grow: 1;
    &.center {
      width: 100%;
      margin-top: 5rem;
      .container-center {
        max-width: 42em;
      }
    }
    & > .container-fluid {
      padding: 0;
    }
  }

  footer {
  }

  toolbar {
    background: #efefef;
    min-height: 50px; //$toolbar-height;
  }

  //sidebar .toolbar {
  //  background-color: $toolbar-bg-dark;
  //}

  //main #toolbar {
  //  display: none;
  //  background-color: $header-bg;
  //}

  //
  // RESPONSIVE RESIZING
  //

  // LARGE
  .header-height {
    height: $header-max-height;
  }
  .sidebar-width {
    min-width: $sidebar-max-width;
    max-width: $sidebar-max-width;
  }

  // MEDIUM
  @include media-breakpoint-down(lg) {
    .header-height {
      height: $header-mid-height !important;
    }
    .sidebar-width {
      min-width: $sidebar-mid-width;
      max-width: $sidebar-mid-width;
    }
  }

  // SMALL
  @include media-breakpoint-down(md) {
    .header-height {
      height: $header-min-height !important;
    }
    .sidebar-width {
      min-width: $sidebar-min-width;
      max-width: $sidebar-min-width;
    }
    sidebar {
      .nav-link span, .section span, .section svg {display: none;} // hide sidebar text
      .section {opacity: 0;}
    }
  }
